pterm_0.70-4_i386.deb


Advertisement

Description

pterm - PuTTY terminal emulator

Property Value
Distribution Ubuntu 18.04 LTS (Bionic Beaver)
Repository Ubuntu Universe i386
Package filename pterm_0.70-4_i386.deb
Package name pterm
Package version 0.70
Package release 4
Package architecture i386
Package type deb
Category universe/x11
Homepage https://www.chiark.greenend.org.uk/~sgtatham/putty/
License -
Maintainer Colin Watson <cjwatson@debian.org>
Download size 196.46 KB
Installed size 625.00 KB
This is an X terminal emulator based on the popular Windows SSH client,
PuTTY. It supports xterm escape sequences, plus some Linux console
sequences for colour palette configuration and some DECterm sequences for
title bar control, and with an appropriate font it supports the UTF-8
encoding of Unicode. It also has some nifty features like rectangular
selection and NetHack keypad mode.

Alternatives

Package Version Architecture Repository
pterm_0.70-4_amd64.deb 0.70 amd64 Ubuntu Universe
pterm - - -

Requires

Name Value
libc6 >= 2.17
libcairo2 >= 1.10.0
libgdk-pixbuf2.0-0 >= 2.22.0
libglib2.0-0 >= 2.24.0
libgtk-3-0 >= 3.21.5
libpango-1.0-0 >= 1.14.0
libpangocairo-1.0-0 >= 1.14.0
libx11-6 -

Provides

Name Value
x-terminal-emulator -

Download

Type URL
Mirror archive.ubuntu.com
Binary Package pterm_0.70-4_i386.deb
Source Package putty

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install pterm deb package:
    # sudo apt-get install pterm

Files

Path
/usr/bin/pterm
/usr/share/applications/pterm.desktop
/usr/share/doc/pterm/README.Debian
/usr/share/doc/pterm/changelog.Debian.gz
/usr/share/doc/pterm/copyright
/usr/share/lintian/overrides/pterm
/usr/share/man/man1/pterm.1.gz
/usr/share/menu/pterm
/usr/share/pixmaps/pterm.png
/usr/share/pixmaps/pterm.xpm

Changelog

2018-04-05 - Colin Watson <cjwatson@debian.org>
putty (0.70-4) unstable; urgency=medium
* Cherry-pick from upstream:
- Ignore spurious configure_area events, which caused a lot of
flickering on GTK+ 3.
2018-04-03 - Colin Watson <cjwatson@debian.org>
putty (0.70-3) unstable; urgency=medium
* Use GDK_BACKEND x11 when built with X support (thanks, Andreas
Henriksson; closes: #861603).
2018-03-04 - Colin Watson <cjwatson@debian.org>
putty (0.70-2) unstable; urgency=medium
* Move VCS to salsa.debian.org.
* Cherry-pick from upstream:
- Use gdk_display_beep() in place of obsolete gdk_beep() (closes:
#891519).
2017-07-08 - Colin Watson <cjwatson@debian.org>
putty (0.70-1) unstable; urgency=medium
* New upstream release.
2017-06-18 - Colin Watson <cjwatson@debian.org>
putty (0.69-2) unstable; urgency=medium
* Update Homepage and debian/copyright download URL to use HTTPS.
* Upload to unstable.
2017-04-29 - Colin Watson <cjwatson@debian.org>
putty (0.69-1) experimental; urgency=medium
* New upstream release.
2017-04-02 - Colin Watson <cjwatson@debian.org>
putty (0.68-2) experimental; urgency=medium
* Move pageant from putty-tools to putty, since it depends on GTK+
(thanks, Dr. Markus Waldeck).
2017-04-02 - Colin Watson <cjwatson@debian.org>
putty (0.68-1) experimental; urgency=medium
* New upstream release.
- Supports elliptic-curve cryptography for host keys, user
authentication keys, and key exchange (closes: #854287).
- Ported to GTK+ 3.
* Use HTTPS URL in debian/watch.
* Install Pageant, which is now ported to Unix.
* Cherry-pick a set of upstream patches to get things working with GTK+
3.22:
- Handle GTK 3.22's deprecation of gdk_cairo_create().
- Handle deprecation of gtk_menu_popup.
- Use CSS to set window backgrounds with GTK+ 3.
- Handle deprecation of gdk_screen_{width,height}.
- Replace deprecated gtk_window_set_wmclass with raw Xlib.
- Change Cairo image surface type from RGB24 to ARGB32.
* Update download URL in debian/copyright (thanks, Dr. Markus Waldeck).
2017-03-22 - Colin Watson <cjwatson@debian.org>
putty (0.67-3) unstable; urgency=high
* CVE-2017-6542: Sanity-check message length fields in CHAN_AGENT input
(thanks, Simon Tatham; closes: #857642).
2016-03-18 - Colin Watson <cjwatson@debian.org>
putty (0.67-2) unstable; urgency=medium
* Backport from upstream:
- Add command-line passphrase-file options to command-line PuTTYgen.

See Also

Package Description
ptex-base_2.5-3_all.deb basic ASCII pTeX library files
ptex2tex_0.4-1_all.deb easy generation of (possibly complex) LaTeX environments
ptop_3.7.0-2build2_all.deb transitional dummy package
ptpd_2.3.1-debian1-3_i386.deb Precision Time Protocol daemon
ptscotch_6.0.4.dfsg1-8_i386.deb MPI programs and libraries for graph, mesh and hypergraph partitioning
ptunnel_0.72-2_i386.deb Tunnel TCP connections over ICMP packets
pub2odg_0.9.6-1_i386.deb Publisher documents to OpenDocument converter
publib-dev_0.40-3build1_i386.deb library of miscellaneous C functions
publican-debian_0.4_all.deb Debian brand for Publican
publican_4.3.2-2_all.deb Tool for publishing material authored in DocBook XML
pubtal_3.5-1_all.deb Template driven web site builder for small sites
puddletag_1.2.0-1_all.deb simple, powerful audio tag editor
puf_1.0.0-7build1_i386.deb Parallel URL fetcher
pugixml-doc_1.8.1-7_all.deb Light-weight C++ XML processing library (documentation)
pulseaudio-dlna_0.5.3+git20170406-1_all.deb Stream audio to DLNA devices and Chromecasts
Advertisement
Advertisement